%define name dconf
%define version 0.7.3
%define release %mkrel 1
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define giolibname %mklibname gio2.0_ 0
Summary: Configuration backend for Glib
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# https://bugzilla.gnome.org/show_bug.cgi?id=646220
Patch0: dconf-editor-crash.patch
Patch1: dconf-gtk2.patch
License: LGPLv2+
Group: System/Libraries
Url: http://www.gnome.org/
BuildRequires: glib2-devel >= 2.25.16
BuildRequires: gtk+2-devel
BuildRequires: vala-devel >= 0.9.5
BuildRequires: gobject-introspection-devel >= 0.9.5
BuildRequires: dbus-devel
BuildRequires: libxml2-devel
BuildRequires: vala-devel
BuildRequires: libgee-devel
# BuildRequires:  gobject-introspection-devel
# Bootstrap requirements
BuildRequires:  autoconf automake libtool
BuildRequires:  gtk-doc
BuildRequires:  vala
BuildRequires:  gobject-introspection-devel >= 0.9.6

Requires: dbus

%description
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package editor
Summary: An editor for the Dconf configuration system
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description editor
This is a graphical editor for the Dconf configuration system.

%package -n %libname
Group: System/Libraries
Summary: Configuration backend library for Glib
Requires(post): %giolibname >= 2.23.4-2mdv
Requires(postun): %giolibname >= 2.23.4-2mdv

%description -n %libname
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %develname
Group: Development/C
Summary: Configuration backend library for Glib - development files
Provides: lib%name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %develname
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%prep
%setup -q
%apply_patches
mkdir -p m4 aux
gtkdocize --docdir docs --flavour no-tmpl
aclocal ${ACLOCAL_FLAGS}
automake --add-missing --foreign
autoconf

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{libname}
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%postun -n %{libname}
if [ "$1" = "0" ]; then
 %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%files
%defattr(-,root,root)
%doc NEWS
%_bindir/dconf
%_libexecdir/dconf-service
%_datadir/dbus-1/services/ca.desrt.dconf.service
%_datadir/dbus-1/system-services/ca.desrt.dconf.service

%files editor
%defattr(-,root,root)
%_bindir/dconf-editor
%_datadir/applications/dconf-editor.desktop
%_datadir/dconf-editor

%files -n %libname
%defattr(-,root,root)
%_libdir/libdconf.so.%{major}*
%_libdir/libdconf-dbus-1.so.%{major}*
%_libdir/gio/modules/libdconfsettings.*

%files -n %develname
%defattr(-,root,root)
%_libdir/libdconf.so
%_libdir/libdconf-dbus-1.so
%_libdir/pkgconfig/dconf.pc
%_libdir/pkgconfig/dconf-dbus-1.pc
%_includedir/dconf
%_includedir/dconf-dbus-1
%_datadir/gtk-doc/html/dconf
%_datadir/vala/vapi/dconf*


%changelog
* Thu Apr 28 2011 saispo <saispo> 0.7.3-1.mga1
+ Revision: 93307
- Readd patch file
- Remove patch file
- Add dconf-editor-crash.patch file
- New release 0.7.3
  Add patch for fixing crash with empty schemas

  + pterjan <pterjan>
    - Fix build with gtk2

* Sun Apr 10 2011 ahmad <ahmad> 0.5.1-1.mga1
+ Revision: 82728
- use %%{__isa_bits} with the gio-querymodules post/postun scriptlets (Fedora)
- imported package dconf


* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 579737
- new version
- bump deps
- rename introspection data files

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 0.5-2mdv2011.0
+ Revision: 574668
- add introspection support
- fix postun script
- move gio module to the library package
- add postinstallation scripts for gio module

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2011.0
+ Revision: 565646
- new version
- remove static libs
- remove gobject-introspection support
- add vala support
- new version
- add editor package
- import dconf


